{
  roles,
  hlConfig,
}:
{
  hostname = "nix-test";
  managed = true;
  ip = "192.168.10.99";

  roles = with roles; [
    traefik
    sonarr
  ];
  config = {
    sonarr.domain = "sonarr2.${hlConfig.domain}";
    traefik.wildcardDomains = [ hlConfig.domain ];
  };
  stateVersion = "24.05";
}
